-- $Header: /code/pg_trompe/testtable.sql,v 1.5 2008/08/15 06:30:13 doj Exp $

create type zahl as enum ('eins', 'zwei', 'drei', 'vier');

create type adresse as (
  vorname   varchar(20),
  name	    varchar(30),
  strasse   varchar(40),
  plz	    char(5),
  ort	    varchar(30)
);

create table t (
  nr	serial8 primary key,
  i	int,
  t	text, -- unique,
  lo	oid,
  b	boolean default false,

_smallint smallint default 1,
_int int default 2,
_bigint bigint default 3,
_decimal decimal(10,5) default 4.5,
_numeric numeric(3,2) default 6.7,
_real real default 8.9,
_double double precision default 10.11,
_money money default '12.13',

_char char(10) default 'hallo',
_varchar varchar(20) default 'du',
_bytea bytea default 'oliver',

_ts timestamp with time zone default now(),

_point point default '(1,1)',
-- _line line default '(2,2),(3,3)', -- not yet implemented in PostgreSQL 8.3
_lseg lseg default '(4,4),(5,5)',
_box box default '(6,6),(7,7)',
_path path default '(2,2),(3,3),(6,6),(7,7)',
_polygon polygon default '(2,2),(3,3),(6,6),(7,7)',
_circle circle default '1,1,2',

_cidr cidr default '192.168.100.128/25',
_inet inet default '10.10.10.10',
_macaddr macaddr default '08:00:2b:01:02:03',

_bit bit(3) default B'101',
_bitvar bit varying(20) default B'111000111',

_uuid uuid default 'A0EEBC99-9C0B-4EF8-BB6D-6BB9BD380A11',

_xml xml default XMLPARSE (CONTENT 'abc<foo>bar</foo><bar>foo</bar>'),

_zahl zahl default 'eins',

_adr adresse,

_int_a int[2] default '{1,2}',
_str_a text[]

);
